import createDebugger from 'debug';
import { C as ChameleonPlugin, P as PluginInstallContext } from '../ChameleonUltra-xl3yGKAK.js';
import '@taichunmin/buffer';
import 'node:stream/web';
import './DfuZip.js';

declare class Debug implements ChameleonPlugin {
    debugers: Map<string, createDebugger.Debugger>;
    filter?: DebugFilter;
    name: string;
    install(context: PluginInstallContext): Promise<this>;
}
type DebugFilter = (namespace: string, formatter: any, ...args: [] | any[]) => boolean;
/**
 * @group Internal
 * @internal
 */
declare function errToJson<T extends Error & {
    originalError?: any;
    stack?: any;
}>(err: T): Partial<T>;
/**
 * @group Internal
 * @internal
 */
declare function stringifyClone(obj: any): any;
/**
 * @group Internal
 * @internal
 */
declare function stringifyReplacer(this: any, key: any, val: any): any;
/**
 * @group Internal
 * @internal
 */
declare function jsonStringify(obj: object, space?: number): string;

export { Debug as default, errToJson, jsonStringify, stringifyClone, stringifyReplacer };
