import { SerialPort } from 'serialport';
import { C as ChameleonPlugin, a as ChameleonUltra, P as PluginInstallContext } from '../ChameleonUltra-xl3yGKAK.js';
import '@taichunmin/buffer';
import 'node:stream/web';
import './DfuZip.js';

declare class SerialPortAdapter implements ChameleonPlugin {
    #private;
    duplex: SerialPort | null;
    name: string;
    ultra?: ChameleonUltra;
    constructor();
    install(context: AdapterInstallContext, pluginOption?: SerialPortOption): Promise<AdapterInstallResp>;
}
type AdapterInstallContext = PluginInstallContext & {
    ultra: PluginInstallContext['ultra'] & {
        $adapter?: any;
    };
};
interface SerialPortOption {
    path?: string;
    baudRate?: number;
}
interface AdapterInstallResp {
    isSupported: () => boolean;
}

export = SerialPortAdapter;
