import { Buffer } from '@taichunmin/buffer';
import { TransformStream, WritableStream } from 'node:stream/web';
import { bluetooth } from 'webbluetooth';
import { C as ChameleonPlugin, b as ChameleonSerialPort, a as ChameleonUltra, P as PluginInstallContext } from '../ChameleonUltra-BhLux-jh.mjs';
import './DfuZip.mjs';

declare class WebbleAdapter implements ChameleonPlugin {
    #private;
    bluetooth?: typeof bluetooth;
    Buffer?: typeof Buffer;
    ctrlChar: BluetoothRemoteGATTCharacteristic | null;
    device: BluetoothDevice | null;
    emitErr: (err: Error) => void;
    name: string;
    packtChar: BluetoothRemoteGATTCharacteristic | null;
    port: ChameleonSerialPort | null;
    rxChar: BluetoothRemoteGATTCharacteristic | null;
    TransformStream: typeof TransformStream;
    ultra?: ChameleonUltra;
    WritableStream: typeof WritableStream;
    constructor();
    install(context: AdapterInstallContext, pluginOption: any): Promise<AdapterInstallResp>;
}
type AdapterInstallContext = PluginInstallContext & {
    ultra: PluginInstallContext['ultra'] & {
        $adapter?: any;
    };
};
interface AdapterInstallResp {
    isSupported: () => boolean;
}

export { WebbleAdapter as default };
