import { SerialPort } from 'web-serial-polyfill';
import { C as ChameleonPlugin, a as ChameleonUltra, E as EventEmitter, P as PluginInstallContext } from '../ChameleonUltra-xl3yGKAK.js';
import '@taichunmin/buffer';
import 'node:stream/web';
import './DfuZip.js';

/**
 * @see
 * - [Web Serial API | MDN](https://developer.mozilla.org/en-US/docs/Web/API/Web_Serial_API)
 * - [Getting started with the Web Serial API | codelabs](https://codelabs.developers.google.com/codelabs/web-serial#0)
 * - [Read from and write to a serial port | Chrome for Developers](https://developer.chrome.com/docs/capabilities/serial)
 */
declare class WebserialAdapter implements ChameleonPlugin {
    #private;
    name: string;
    port: SerialPort1 | null;
    ultra?: ChameleonUltra;
    constructor();
    install(context: AdapterInstallContext, pluginOption: any): Promise<AdapterInstallResp>;
}
type SerialPort1 = SerialPort & EventEmitter;
type AdapterInstallContext = PluginInstallContext & {
    ultra: PluginInstallContext['ultra'] & {
        $adapter?: any;
    };
};
interface AdapterInstallResp {
    isSupported: () => boolean;
}

export = WebserialAdapter;
